### Method

# Gio FileInfo set_name

#### Declaration

    void
    g_file_info_set_name (
      GFileInfo* info,
      const char* name
    )

#### Description

Sets the name attribute for the current `GFileInfo`. See `G_FILE_ATTRIBUTE_STANDARD_NAME`.

#### Parameters

`name`

  Type: `const char*`

  A string containing a name.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.